Description

Ok, so this could be a pain to lots and lots of addons
and authors, but | may as well test the water. lll only
say it once and never bug you about it.

When | look in the doomsday dir, | find five different
dir's with the name jDoom, in defs, docs, data, run and
last but not least md2. This makes working on any one
particular game quite painful, since you have to keep
hopping between places to get to the files you want to
edit. While making a model, my explorer tree takes up
all the screen ;)

| have already migrated all my deds to data/jdoom/defs
with no side effects; Models would work fine there too,
if | were to patiently modify all the modelpaths in the
model deds, and in the md2's themselves. The only
things that would be seperate after that are docs,
which dont care where they are, and run, which | guess
is hardcoded in the engine.

With all that centralised, there would be a more
game-mode based file structure, making it much simpler
to work on each game. You could also move everything
one level down from the data dir, since after moving
everything into it, it would be one lonely directory in

the doomsday folder.

If that is all done, you could write a utility that

migrates all files based on the old strucure to the new
one. It would have to search deds for any specific
paths, search md2's for base relative skin paths, and
modify them to suit. Then it would just move everything
into where it thinks its new home should be.

So you'd run it and end up with this tree:

doomsday
-bin

-jdoom
--defs
--demo
--models
--music
--patches
--run
--savegame
--textures
--etc

-jheretic
-jhexen
-global
--fonts
--keymaps

quake ahoy!

Labels: Data

Related issues:
Related to Feature #1601: Package management

In Progress

2014-04-18

History

#1 - 2003-08-14 21:22 - skyjake

Logged In: YES
user_id=717323

| admit the current directory structure is not perfect, but |
don't see enough incentive to change it. The current
layout is functional, and groups files primary based on
their type.

Do you have any more reasons that would warrant the
change?

(You could open multiple Explorer windows...?)

#2 - 2003-08-14 21:23 - chilvence

Logged In: YES
user_id=675595

Primarily, what got me thinking this is the very last part

of the doomsday 2 manifest. If you ever reach that goal[of
having all/most classic fps's under one roof], anyone trying

to add new content to one particular game would have to wade
through a jungle of other games. At least assuming he has

got them all.

That multiple window idea is good though, the obvious answer
often eludes me....

#3 - 2003-08-14 21:23 - chilvence

Logged In: YES
user_id=675595

Primarily, what got me thinking this is the very last part

of the doomsday 2 manifest. If you ever reach that goal[of
having all/most classic fps's under one roof], anyone trying

to add new content to one particular game would have to wade
through a jungle of other games. At least assuming he has

got them all.

That multiple window idea is good though, the obvious answer
often eludes me....

#4 - 2003-08-14 21:39 - chilvence

Logged In: YES
user_id=675595

Primarily, what got me thinking this is the very last part

of the doomsday 2 manifest. If you ever reach that goal[of
having all/most classic fps's under one roof], anyone trying

to add new content to one particular game would have to wade
through a jungle of other games. At least assuming he has

got them all.

That multiple window idea is good though, the obvious answer
often eludes me....
#5 - 2003-08-15 08:49 - skyjake
Logged In: YES
user_id=717323

Doomsday 2 is naturally a different matter. As you suggest,
it's probably best to group things by game. It will be

easier this time around, when we've got an idea of all the
things that the structure must support.

(Is there an echo here? :-))

#6 - 2003-08-16 10:30 - chilvence

Logged In: YES
user_id=675595

Um... | have to keep my mitts off the back button

#7 - 2013-10-20 20:18 - skyjake

- Tags set to Resources, FileSystem

- Subject changed from Revised directory structure to Directory structure grouped by game

#8 - 2016-07-05 23:24 - skyjake
- Category set to Redesign

- Status changed from New to Closed

Closing as obsolete.
